# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Algorithm-Diff-XS
Version:	0.04
Release:	3.%{__distinit}%{__distvers}
Summary:	Algorithm::Diff with XS core loop
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Algorithm-Diff-XS/
Source0:	http://search.cpan.org/CPAN/authors/id/A/AU/AUDREYT/Algorithm-Diff-XS-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildRequires:	perl(Algorithm::Diff) >= 1.19
BuildRequires:	perl(Cwd)
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(lib)
BuildRequires:	perl(Test)
BuildRequires:	perl(XSLoader)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(XSLoader)

%{?perl_default_filter}

%description
This module is a simple re-packaging of Joe Schaefer's excellent but not very
well-known Algorithm::LCS with a drop-in interface that simply re-uses the
installed version of the Algorithm::Diff module.

Note that only the LCSidx function is optimized in XS at the moment, which
means only compact_diff will get significantly faster for large data sets,
while diff and sdiff will run in identical speed as Algorithm::Diff.

%prep
%setup -q -n Algorithm-Diff-XS-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} \;
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorarch}/auto/Algorithm/
%{perl_vendorarch}/Algorithm/
%{_mandir}/man3/Algorithm::Diff::XS.3pm*

%changelog
* Thu Jun 14 2012 Paul Howarth <paul@city-fan.org> - 0.04-3
- Make sure %%{optflags} are used
- BR: perl(Cwd), perl(Data::Dumper), perl(lib), perl(Test) and perl(XSLoader)
- Require perl(XSLoader) at runtime
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorarch}
  - Use DESTDIR rather than PERL_INSTALL_ROOT
  - Use %%{_fixperms} macro rather than our own chmod incantation

* Tue Jun 21 2011 Paul Howarth <paul@city-fan.org> - 0.04-2
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Wed Mar 16 2011 Paul Howarth <paul@city-fan.org> - 0.04-1
- Initial RPM version
